<div class="row content-job-detail" style="margin: auto;">
    <!-- <hr> -->
    <h3>Công việc có nhu cầu tuyển dụng cao nhất</h3>
    <div class="col-12">
        <div class="timeline-select d-flex felx-row w-100">
            <div>Quý II/2019</div>
            <div>Quý III/2019</div>
            <div class="selected">Quý IV/2019</div>
        </div>
    </div>
    <div class="col-lg-12 col-md-12 col-xs-12">
        <div class="row">
            <div class="col-6 mt-3">
                <div class="d-flex flex-column">
                    <div class="row">
                        <div class="col-3 text-center">
                            
                            <i class="fa fa-trophy fa-5x" aria-hidden="true"></i>
                        </div>
                        <div class="col-9">
                            <div>{{numberOfJob[0].name}}</div>
                            <div class="luong-cao-nhat-top-one">{{numberOfJob[0].value}} công việc
                                <span [hidden]="numberOfJob[0].growth >= 0" class="text-danger">
                                    <i class="fa fa-caret-down"></i>
                                    {{numberOfJob[0].growth}}%
                                </span>
                                <span [hidden]="numberOfJob[0].growth < 0" class="text-success">
                                    <i class="fa fa-caret-up"></i>
                                    +{{numberOfJob[0].growth}}%
                                </span>
                            </div>
                            <!-- <div>nhu cầu tuyển dụng: {{jobsHighestSalary[0].hiring}} </div> -->
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-6 mt-3">

            </div>
        </div>
        <div class="row">
            <div class="col-5 mt-3">
                <table mat-table [dataSource]="numberOfJob" class="table-top-luong mt-3">
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef>Tên công việc</th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef>Số lượng tuyển dụng</th>
                        <td mat-cell *matCellDef="let element"> {{element.value}} </td>
                    </ng-container>
                    <ng-container matColumnDef="growth">
                        <th mat-header-cell *matHeaderCellDef>Tăng trưởng</th>
                        <td mat-cell *matCellDef="let element" [class.text-success]="element.growth >= 0"
                            [class.text-danger]="element.growth < 0">
                            <p [hidden]="element.growth < 0">+{{element.growth}}%</p>
                            <p [hidden]="element.growth > 0">{{element.growth}}%</p>
                        </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="hiringTableColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: hiringTableColumns;"></tr>
                </table>
            </div>
            <div class="col-7 mt-3">
                <div id="nhu-cau-tuyen-dung-theo-cong-viec"></div>
            </div>
        </div>
    </div>

    <h3>Công việc được trả lương cao nhất</h3>
    <div class="col-12">
        <div class="timeline-select d-flex felx-row w-100">
            <div>Quý II/2019</div>
            <div>Quý III/2019</div>
            <div class="selected">Quý IV/2019</div>
        </div>
    </div>
    <div class="col-12">
        <div class="row">
            <div class="col-6 mt-3">
                <div class="d-flex flex-column">
                    <div class="row">
                        <div class="col-3 text-center">
                            <i class="fa fa-trophy fa-5x" aria-hidden="true"></i>
                        </div>
                        <div class="col-9">
                            <div>{{jobsHighestSalary[0].name}}</div>
                            <div class="luong-cao-nhat-top-one">{{jobsHighestSalary[0].value}} triệu VNĐ
                                <span [hidden]="jobsHighestSalary[0].growth >= 0" class="text-danger">
                                    <i class="fa fa-caret-down"></i>
                                    {{jobsHighestSalary[0].growth}}%
                                </span>
                                <span [hidden]="jobsHighestSalary[0].growth < 0" class="text-success">
                                    <i class="fa fa-caret-up"></i>
                                    +{{jobsHighestSalary[0].growth}}%
                                </span>
                            </div>
                            <div>nhu cầu tuyển dụng: {{jobsHighestSalary[0].hiring}} </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-5 mt-3">
                <table mat-table [dataSource]="jobsHighestSalary" class="table-top-luong mt-3">
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef>Tên công việc</th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef>Mức lương</th>
                        <td mat-cell *matCellDef="let element"> {{element.value}} </td>
                    </ng-container>
                    <ng-container matColumnDef="growth">
                        <th mat-header-cell *matHeaderCellDef>Tăng trưởng</th>
                        <td mat-cell *matCellDef="let element" [class.text-success]="element.growth >= 0"
                            [class.text-danger]="element.growth < 0">
                            <p [hidden]="element.growth < 0">+{{element.growth}}%</p>
                            <p [hidden]="element.growth > 0">{{element.growth}}%</p>
                        </td>
                    </ng-container>
                    <ng-container matColumnDef="hiring">
                        <th mat-header-cell *matHeaderCellDef>Số lượng tuyển dụng</th>
                        <td mat-cell *matCellDef="let element"> {{element.hiring}} </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="salaryTableColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: salaryTableColumns;"></tr>
                </table>
            </div>
            <div class="col-7 mt-3">
                <div id="cong-viec-duoc-tra-luong-cao-nhat"></div>
            </div>
        </div>
    </div>
    <h3>Các kĩ năng được yêu cầu nhiều nhất</h3>
    <h3>Phân bổ việc làm theo độ tuổi, giới tính </h3>
    <div class="col-12">
        <div class="timeline-select d-flex felx-row w-100">
            <div>Quý II/2019</div>
            <div>Quý III/2019</div>
            <div class="selected">Quý IV/2019</div>
        </div>
    </div>
    <div class="col-lg-12 col-md-12 col-xs-12">
        <div class="row">
            <div class="col-5 mt-3">
                <table mat-table [dataSource]="jobDistributionByAge" class="table-top-luong mt-3">
                    <ng-container matColumnDef="age">
                        <th mat-header-cell *matHeaderCellDef>Độ tuổi</th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>
                    <ng-container matColumnDef="male">
                        <th mat-header-cell *matHeaderCellDef>Nam</th>
                        <td mat-cell *matCellDef="let element"> {{element.percentage}}% </td>
                    </ng-container>
                    <ng-container matColumnDef="female">
                        <th mat-header-cell *matHeaderCellDef>Nữ</th>
                        <td mat-cell *matCellDef="let element"> {{100 - element.percentage}}% </td>
                    </ng-container>
                    <!-- <ng-container matColumnDef="growth">
                            <th mat-header-cell *matHeaderCellDef>Tăng trưởng</th>
                            <td mat-cell *matCellDef="let element" [class.text-success]="element.growth >= 0"
                                [class.text-danger]="element.growth < 0">
                                <p [hidden]="element.growth < 0">+{{element.growth}}%</p>
                                <p [hidden]="element.growth > 0">{{element.growth}}%</p>
                            </td>
                        </ng-container> -->
                    <tr mat-header-row *matHeaderRowDef="ageDistributionTableColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: ageDistributionTableColumns;"></tr>
                </table>
            </div>
            <div class="col-7 mt-3">
                <div id="nhu-cau-viec-lam-theo-do-tuoi"></div>
            </div>
        </div>
    </div>

    <h3>Nhu cầu tuyển dụng của công ty theo thời gian</h3>
    <div class="col-12"></div>
    <div class="col-5 mt-3">
        <table mat-table [dataSource]="jobDemandByMonth" class="table-top-luong mt-3">
            <ng-container matColumnDef="timestamp">
                <th mat-header-cell *matHeaderCellDef>Thời gian</th>
                <td mat-cell *matCellDef="let element"> {{element.timestamp}} </td>
            </ng-container>
            <ng-container matColumnDef="value">
                <th mat-header-cell *matHeaderCellDef>Hà Nội</th>
                <td mat-cell *matCellDef="let element"> {{element.value}}</td>
            </ng-container>
            <ng-container matColumnDef="growth">
                <th mat-header-cell *matHeaderCellDef>Tăng trưởng</th>
                <td mat-cell *matCellDef="let element" [class.text-success]="element.growth >= 0"
                    [class.text-danger]="element.growth < 0">
                    <p [hidden]="element.growth < 0">+{{element.growth}}%</p>
                    <p [hidden]="element.growth > 0">{{element.growth}}%</p>
                </td>
            </ng-container>
            <!-- <ng-container matColumnDef="growth">
                    <th mat-header-cell *matHeaderCellDef>Tăng trưởng</th>
                    <td mat-cell *matCellDef="let element" [class.text-success]="element.growth >= 0"
                        [class.text-danger]="element.growth < 0">
                        <p [hidden]="element.growth < 0">+{{element.growth}}%</p>
                        <p [hidden]="element.growth > 0">{{element.growth}}%</p>
                    </td>
                </ng-container> -->
            <tr mat-header-row *matHeaderRowDef="hiringTableColumnsByMonth"></tr>
            <tr mat-row *matRowDef="let row; columns: hiringTableColumnsByMonth;"></tr>
        </table>
    </div>
    <div class="col-7 mt-3">
        <div id="nhu-cau-tuyen-dung-thoi-gian"></div>
    </div>

    <h3>Phân bổ việc làm theo trình độ học vấn</h3>
    <div class="col-12">
        <div class="timeline-select d-flex felx-row w-100">
            <div>Quý II/2019</div>
            <div>Quý III/2019</div>
            <div class="selected">Quý IV/2019</div>
        </div>
    </div>
    <div class="col-lg-12 col-md-12 col-xs-12">
        <div class="row">
            <div class="col-5 mt-3">
                <table mat-table [dataSource]="jobDemandByLiteracy" class="table-top-luong mt-3">
                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef>Trình độ </th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>
                    <ng-container matColumnDef="value">
                        <th mat-header-cell *matHeaderCellDef>Số lượng tuyển dụng</th>
                        <td mat-cell *matCellDef="let element"> {{element.value}} </td>
                    </ng-container>
                    <ng-container matColumnDef="growth">
                        <th mat-header-cell *matHeaderCellDef>Tăng trưởng</th>
                        <td mat-cell *matCellDef="let element" [class.text-success]="element.growth >= 0"
                            [class.text-danger]="element.growth < 0">
                            <p [hidden]="element.growth < 0">+{{element.growth}}%</p>
                            <p [hidden]="element.growth > 0">{{element.growth}}%</p>
                        </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="hiringTableColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: hiringTableColumns;"></tr>
                </table>
            </div>
            <div class="col-7 mt-3">
                <div id="nhu-cau-viec-lam-theo-trinh-do"></div>
            </div>
        </div>
    </div>
</div>